
Figure - Bug #116682
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT】【系统手势】后台有应用运行时,在桌面状态快速操作两次底部上滑,第二次上滑后再向底部滑
动,会直接进入最近运行的应用中
2023-03-02 17:18 - CD TEST-方永红

Status: CLOSED Start date: 2023-03-02

Priority: Normal Due date: 2023-03-17

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0079.C101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

Reproducibility: Every time Fixed Version: 2023-03-22

Test Type: ST Root cause: AOSP问题

Description

【前提条件】

1、设备正常启动

2、后台有应用

【测试步骤】

1.打开多个应用后台运行

2.返回桌面

3.操作两次底部上滑(第一次与第二次衔接稍快)

4.第二次操作上滑不松手并向下滑动

【预期结果】

4、第一次上划进入recent\第二次上划退出recent

【实际结果】

4、第二次上滑后再向底部滑动,会直接进入最近运行的应用中

【复现率】

3/3

History

#1 - 2023-03-03 15:23 - CDTS_TEST 王成

- Category changed from 客户jira bug to CD-FW

#2 - 2023-03-03 15:26 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Status changed from New to ASSIGNED

#3 - 2023-03-03 16:54 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#4 - 2023-03-07 11:13 - CD APP-王营

- Due date set to 2023-03-17
#5 - 2023-03-09 16:20 - CD APP-王宏

- % Done changed from 0 to 20

■ Current conclusion

分析中

■ My analysis

打印日志可知和OverviewInputConsumer相关，手势发生时和调用 mTarget.proxyTouchEvent(ev, mStartingInActivityBounds);

内部实现是mProxyTouchController.onControllerTouchEvent(ev)来处理的，但是 findControllerToHandleTouch(ev); 的对象发生改变，

NoButtonQuickSwitchTouchController  ->  NavBarToHomeTouchController 

■ Next action

继续调查根因

#6 - 2023-03-20 19:26 - CD APP-王宏

■ Current conclusion

分析中

■ My analysis

因为触发了界面更改，因此判断是和taskView相关的taskId启动Activity，因此根据相关方法打印堆栈，最终追踪

到QuickstepLauncher$onStateSetEnd$QUICK_SWITCH_STATE_ORDINAL中，

在此条件下，他去获取了RecentsView中的首个taskView,去完成启动。因此我注释掉了获取，直接调用getStateManager().goToState(NORMAL);  但是发现不

可行，动画的执行会变的零散异常。

■ Next action

继续调查根因，还是从源头处阻止比较好

#7 - 2023-03-21 11:31 - CD APP-王宏

- % Done changed from 20 to 50

■ Current conclusion

已提交

■ My analysis

屏蔽掉此动画过程中的手势操作

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/188780

#8 - 2023-03-21 16:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

188780 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gesture:bug fixed1.Refuse gesture operation during the process of entering recentTC-RID: 0301-0205201IssueID: TS-R-BUG-116682Change-Id:

Ia9407ff49ba6bebff3e2e008f7f40a57d339def7

#9 - 2023-03-21 16:48 - CD APP-王宏
- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-22

- Root cause set to AOSP问题

#10 - 2023-03-23 10:04 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101(X101).202303220131

3.23

重复操作50次未复现

验证通过

#11 - 2023-03-23 10:04 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

20230302-171808.mp4 4.83 MB 2023-03-02 CD TEST-方永红
